/*
 *  Copyright (C) 2003-2006 Axis Communications AB
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#include "boot_info.h"

#ifdef CONFIG_ARGUS_DEBUG_PORT0
#define DEBUG_PORT 0
#elif defined(CONFIG_ARGUS_DEBUG_PORT1)
#define DEBUG_PORT 1
#else 
#define DEBUG_PORT -1
#endif

struct bootinfo_header argus_boot_header =
{
  0xa11a011e,
#if defined(CONFIG_ARGUS_3)
  0x43023000,
#elif defined(CONFIG_ARGUS_4)
  0x41069265,
#else
#error boot_info.c works only with argus-3 or argus-4
#endif
  0x00000000, // reserved
  0xc0008000, // load the kernel to this address
  0x00000000, // preskip
  0x00000000, // vmm_info
  {CONFIG_ARGUS_CS0_CONFIG,  // EXTMEM setup section
   CONFIG_ARGUS_CS1_CONFIG,
   CONFIG_ARGUS_CS2_CONFIG,
   CONFIG_ARGUS_CS3_CONFIG,
#if defined(CONFIG_ARGUS_3)
   // Argus-3 has 6 CS pins, Argus-4 has only 4
   CONFIG_ARGUS_CS4_CONFIG,
   CONFIG_ARGUS_CS5_CONFIG
#endif
  },
  CONFIG_ARGUS_SDCTRL1,
  CONFIG_ARGUS_SDCTRL2,
  CONFIG_ARGUS_SDRFSH,
  CONFIG_ARGUS_SDMODE,
#if defined(CONFIG_ARGUS_4)
  // Argus-4 has DDR support and needs some extra regs for that
  CONFIG_ARGUS_DDR_DLL,
  CONFIG_ARGUS_DDR_SDMODEEXT,
#endif
  {CONFIG_ARGUS_GPIO_0, CONFIG_ARGUS_GPIO_1, CONFIG_ARGUS_GPIO_2, CONFIG_ARGUS_GPIO_3,
   CONFIG_ARGUS_GPIO_4, CONFIG_ARGUS_GPIO_5, CONFIG_ARGUS_GPIO_6, CONFIG_ARGUS_GPIO_7,
   CONFIG_ARGUS_GPIO_8, CONFIG_ARGUS_GPIO_9, CONFIG_ARGUS_GPIO_10, CONFIG_ARGUS_GPIO_11,
   CONFIG_ARGUS_GPIO_12, CONFIG_ARGUS_GPIO_13, CONFIG_ARGUS_GPIO_14, CONFIG_ARGUS_GPIO_15,
   CONFIG_ARGUS_GPIO_16, CONFIG_ARGUS_GPIO_17, CONFIG_ARGUS_GPIO_18, CONFIG_ARGUS_GPIO_19,
   CONFIG_ARGUS_GPIO_20, CONFIG_ARGUS_GPIO_21, CONFIG_ARGUS_GPIO_22, CONFIG_ARGUS_GPIO_23,
   CONFIG_ARGUS_GPIO_24, CONFIG_ARGUS_GPIO_25, CONFIG_ARGUS_GPIO_26, CONFIG_ARGUS_GPIO_27,
   CONFIG_ARGUS_GPIO_28, CONFIG_ARGUS_GPIO_29, CONFIG_ARGUS_GPIO_30, CONFIG_ARGUS_GPIO_31,
   CONFIG_ARGUS_GPIO_32, CONFIG_ARGUS_GPIO_33, CONFIG_ARGUS_GPIO_34, CONFIG_ARGUS_GPIO_35,
   CONFIG_ARGUS_GPIO_36, CONFIG_ARGUS_GPIO_37, CONFIG_ARGUS_GPIO_38, CONFIG_ARGUS_GPIO_39,
   CONFIG_ARGUS_GPIO_40, CONFIG_ARGUS_GPIO_41, CONFIG_ARGUS_GPIO_42, CONFIG_ARGUS_GPIO_43,
   CONFIG_ARGUS_GPIO_44, CONFIG_ARGUS_GPIO_45, CONFIG_ARGUS_GPIO_46, CONFIG_ARGUS_GPIO_47,
   CONFIG_ARGUS_GPIO_48, CONFIG_ARGUS_GPIO_49, CONFIG_ARGUS_GPIO_50, CONFIG_ARGUS_GPIO_51,
   CONFIG_ARGUS_GPIO_52, CONFIG_ARGUS_GPIO_53, CONFIG_ARGUS_GPIO_54, CONFIG_ARGUS_GPIO_55,
   CONFIG_ARGUS_GPIO_56, CONFIG_ARGUS_GPIO_57, CONFIG_ARGUS_GPIO_58, CONFIG_ARGUS_GPIO_59,
   CONFIG_ARGUS_GPIO_60, CONFIG_ARGUS_GPIO_61, CONFIG_ARGUS_GPIO_62, CONFIG_ARGUS_GPIO_63,
#if defined(CONFIG_ARGUS_3)
   // 92 pins on Argus-3
   CONFIG_ARGUS_GPIO_64, CONFIG_ARGUS_GPIO_65, CONFIG_ARGUS_GPIO_66, CONFIG_ARGUS_GPIO_67,
   CONFIG_ARGUS_GPIO_68, CONFIG_ARGUS_GPIO_69, CONFIG_ARGUS_GPIO_70, CONFIG_ARGUS_GPIO_71,
   CONFIG_ARGUS_GPIO_72, CONFIG_ARGUS_GPIO_73, CONFIG_ARGUS_GPIO_74, CONFIG_ARGUS_GPIO_75,
   CONFIG_ARGUS_GPIO_76, CONFIG_ARGUS_GPIO_77, CONFIG_ARGUS_GPIO_78, CONFIG_ARGUS_GPIO_79,
   CONFIG_ARGUS_GPIO_80, CONFIG_ARGUS_GPIO_81, CONFIG_ARGUS_GPIO_82, CONFIG_ARGUS_GPIO_83,
   CONFIG_ARGUS_GPIO_84, CONFIG_ARGUS_GPIO_85, CONFIG_ARGUS_GPIO_86, CONFIG_ARGUS_GPIO_87,
   CONFIG_ARGUS_GPIO_88, CONFIG_ARGUS_GPIO_89, CONFIG_ARGUS_GPIO_90, CONFIG_ARGUS_GPIO_91
#elif defined(CONFIG_ARGUS_4)
   // 96 pins on Argus-3
   CONFIG_ARGUS_GPIO_64, CONFIG_ARGUS_GPIO_65, CONFIG_ARGUS_GPIO_66, CONFIG_ARGUS_GPIO_67,
   CONFIG_ARGUS_GPIO_68, CONFIG_ARGUS_GPIO_69, CONFIG_ARGUS_GPIO_70, CONFIG_ARGUS_GPIO_71,
   CONFIG_ARGUS_GPIO_72, CONFIG_ARGUS_GPIO_73, CONFIG_ARGUS_GPIO_74, CONFIG_ARGUS_GPIO_75,
   CONFIG_ARGUS_GPIO_76, CONFIG_ARGUS_GPIO_77, CONFIG_ARGUS_GPIO_78, CONFIG_ARGUS_GPIO_79,
   CONFIG_ARGUS_GPIO_80, CONFIG_ARGUS_GPIO_81, CONFIG_ARGUS_GPIO_82, CONFIG_ARGUS_GPIO_83,
   CONFIG_ARGUS_GPIO_84, CONFIG_ARGUS_GPIO_85, CONFIG_ARGUS_GPIO_86, CONFIG_ARGUS_GPIO_87,
   CONFIG_ARGUS_GPIO_88, CONFIG_ARGUS_GPIO_89, CONFIG_ARGUS_GPIO_90, CONFIG_ARGUS_GPIO_91,
   CONFIG_ARGUS_GPIO_92, CONFIG_ARGUS_GPIO_93, CONFIG_ARGUS_GPIO_94, CONFIG_ARGUS_GPIO_95
#endif
   },
   DEBUG_PORT
};

