/*
 *  Copyright (C) 1999-2004 Anoto Group AB
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef __ARGUS3_PHYSADDR_H__
#define __ARGUS3_PHYSADDR_H__

#define BOOT_ROM_BASE     0x00000000    // 4 kB
#define OCRAM_BASE        0x10000000    // 8 kB
#define APB_BASE          0x20000000    // 2 Mb
#define ZEROS_BASE        0x30000000    // 256 Mb
#define L2CACHE_CTRL_BASE 0x40000000    // 4 kB
#define L2CACHE_STAT_BASE 0x50000000    // 24 kB
#define DMA_BASE          0x60000000    // 8 kB
#define EXT0_BASE         0x80000000    // 256 Mb
#define EXT1_BASE         0x90000000    // 256 Mb
#define EXT2_BASE         0xa0000000    // 256 Mb
#define EXT3_BASE         0xb0000000    // 256 Mb
#define EXT4_BASE         0xc0000000    // 256 Mb
#define EXT5_BASE         0xd0000000    // 256 Mb

#define APB_NOCACHE           APB_BASE             /* 2 Mb */

#endif // __ARGUS3_PHYSADDR_H__
