/*
 * linux/include/asm-arm/arch-argus/uncompress.h
 */

#include <asm/arch/argus.h>

// dbg_uart lives in setup-argus.c

extern volatile tUART *dbg_uart; 

static inline void 
putc(int c)
{
#ifndef CONFIG_ARGUS_DEBUG_PORT_NULL
	// wait until tx_fifo is not full
	while(!(GET_UART_TXNFULL(dbg_uart->STATUS))); 
	// write byte
	dbg_uart->DATA = c;
	// wait until tx_fifo is empty
	while(!(GET_UART_TXEMPTY(dbg_uart->STATUS)));
#endif
}

// don't need any flush-function since we don't queue up characters in the output

static inline 
void flush(void)
{
}

/*
 * nothing to do
 */
#define arch_decomp_setup()
#define arch_decomp_wdog()

